# Interface WFSLayer

#### Hierarchy

- WFSLayer

- Defined in src/datasource/OGC.js:184

#####
Index

### Properties

getData
maxResolution
minResolution
name
queryable

## Properties

### getData

getData: boolean

If the layer is queryable and this property is set to false, then the layer won't be used in queries issued. Defaults to `true`.

- Defined in src/datasource/OGC.js:189

### maxResolution

maxResolution: number

The maximum resolution the layer should be rendered (when visible).

- Defined in src/datasource/OGC.js:185

### minResolution

minResolution: number

The minimum resolution the layer should be rendered (when visible).

- Defined in src/datasource/OGC.js:186

### name

name: string

The layer name (WMS) and/or feature type name (WFS)

- Defined in src/datasource/OGC.js:187

### queryable

queryable: boolean

Whether the the layer is queryable or not. Defaults to `false`.

- Defined in src/datasource/OGC.js:188

Generated using TypeDoc